%define oname akonadi-contacts

Summary:	Plasma 5 Akonadi Contacts
Name:		plasma5-%{oname}
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5akonadimime-devel
BuildRequires:	kf5codecs-devel
BuildRequires:	kf5completion-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5contacts-devel
BuildRequires:	kf5calendarcore-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5mime-devel
BuildRequires:	kf5prison-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebChannel)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineCore)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
Provides:	plasma5-akonadi-contact = %{EVRD}
Conflicts:	plasma5-akonadi-contact < 16.08.2
Obsoletes:	plasma5-akonadi-contact < 16.08.2
Conflicts:	kde5-l10n < 17.04

%description
Plasma 5 Akonadi Contacts.

%files -f %{name}.lang
%{_kde5_datadir}/kf5/akonadi/contact/pics/world.jpg
%{_kde5_datadir}/kf5/akonadi/contact/data/zone.tab
%{_kde5_services}/akonadicontact_actions.desktop
%{_kde5_services}/akonadi/contact/*protocol.desktop
%{_kde5_servicetypes}/kaddressbookimprotocol.desktop
%{_kde5_sysconfdir}/xdg/contact-editor.categories
%{_qt5_plugindir}/akonadi/contacts/plugins/categorieseditwidgetplugin.so
%{_qt5_plugindir}/kcm_akonadicontact_actions.so

#----------------------------------------------------------------------------

%define kf5akonadicontact_major 5
%define libkf5akonadicontact %mklibname kf5akonadicontact %{kf5akonadicontact_major}

%package -n %{libkf5akonadicontact}
Summary:	Plasma 5 Akonadi shared library
Group:		System/Libraries

%description -n %{libkf5akonadicontact}
Plasma 5 Akonadi shared library.

%files -n %{libkf5akonadicontact}
%{_kde5_libdir}/libKF5AkonadiContact.so.%{kf5akonadicontact_major}*

#----------------------------------------------------------------------------

%define devkf5akonadicontact %mklibname kf5akonadicontact -d

%package -n %{devkf5akonadicontact}
Summary:	Development files for Plasma 5 Akonadi
Group:		Development/KDE and Qt
Requires:	%{libkf5akonadicontact} = %{EVRD}
Provides:	kf5akonadicontact-devel = %{version}

%description -n %{devkf5akonadicontact}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5akonadicontact}
%dir %{_kde5_includedir}/KF5/Akonadi/Contact
%{_kde5_includedir}/KF5/Akonadi/Contact/*
%dir %{_kde5_includedir}/KF5/akonadi/contact
%{_kde5_includedir}/KF5/akonadi/contact/*
%{_kde5_libdir}/cmake/KF5AkonadiContact
%{_kde5_libdir}/libKF5AkonadiContact.so
%{_kde5_mkspecsdir}/qt_AkonadiContact.pri

#----------------------------------------------------------------------------

%define kf5contacteditor_major 5
%define libkf5contacteditor %mklibname kf5contacteditor %{kf5contacteditor_major}

%package -n %{libkf5contacteditor}
Summary:	Plasma 5 Akonadi shared library
Group:		System/Libraries

%description -n %{libkf5contacteditor}
Plasma 5 Akonadi shared library.

%files -n %{libkf5contacteditor}
%{_kde5_libdir}/libKF5ContactEditor.so.%{kf5contacteditor_major}*

#----------------------------------------------------------------------------

%define devkf5contacteditor %mklibname kf5contacteditor -d

%package -n %{devkf5contacteditor}
Summary:	Development files for Plasma 5 Akonadi
Group:		Development/KDE and Qt
Requires:	%{libkf5contacteditor} = %{EVRD}
Provides:	kf5contacteditor-devel = %{version}

%description -n %{devkf5contacteditor}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5contacteditor}
%dir %{_kde5_includedir}/KF5/ContactEditor/
%{_kde5_includedir}/KF5/ContactEditor/*
%dir %{_kde5_includedir}/KF5/contacteditor/
%{_kde5_includedir}/KF5/contacteditor/*
%{_kde5_libdir}/cmake/KF5ContactEditor
%{_kde5_libdir}/libKF5ContactEditor.so
%{_kde5_mkspecsdir}/qt_ContactEditor.pri

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang akonadicontact5 kcm_akonadicontact_actions %{name}.lang --with-kde
%kf5locales_fix %{name}.lang

%changelog

* Thu Mar 22 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (9aea3c9) No longer requires grantlee to build
- (9aea3c9) Update files


